
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>对MySQL子查询的简单改写优化_Mysql / iVAN</title>

    <meta name="description" content="对MySQL子查询的简单改写优化_Mysql 使用过oracle或者其他关系数据库的DBA或者开发人员都有这样的经验,在子查询上都认为数据库已经做过优化,能够很好的选择驱动表执行,然后在把该经验移植到mysql数据库上,但是不幸的是,mysql在子查询的处理上有可能会让你大失所望,在我们的生产系统上就由于碰到了这个问题: select i_id, sum(i_sell) as i_sell from table_data where i_id in (select i_id from table_data where Gmt_create">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">对MySQL子查询的简单改写优化_Mysql</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>使用过oracle或者其他关系数据库的DBA或者开发人员都有这样的经验，在子查询上都认为数据库已经做过优化，能够很好的选择驱动表执行，然后在把该经验移植到mysql数据库上，但是不幸的是，mysql在子查询的处理上有可能会让你大失所望，在我们的生产系统上就由于碰到了这个问题：</p>
<pre>
select i_id, sum(i_sell) as i_sell

from table_data

where i_id in (select i_id from table_data where Gmt_create &gt;= '2011-10-07 00:00:00′)

group by i_id;
</pre>
<p>（备注：sql的业务逻辑可以打个比方：先查询出10-07号新卖出的100本书，然后在查询这新卖出的100本书在全年的销量情况）。</p>
<p>这条sql之所以出现的性能问题在于mysql优化器在处理子查询的弱点，mysql优化器在处理子查询的时候，会将将子查询改写。通常情况下，我们希望由内到外，先完成子查询的结果，然后在用子查询来驱动外查询的表，完成查询；但是mysql处理为将会先扫描外面表中的所有数据，每条数据将会传到子查询中与子查询关联，如果外表很大的话，那么性能上将会出现问题；</p>
<p>针对上面的查询，由于table_data这张表的数据有70W的数据，同时子查询中的数据较多，有大量是重复的，这样就需要关联近70W次，大量的关联导致这条sql执行了几个小时也没有执行完成，所以我们需要改写sql：</p>
<pre>
SELECT t2.i_id, SUM(t2.i_sell) AS sold

FROM (SELECT distinct i_id FROM table_data

WHERE gmt_create &gt;= '2011-10-07 00:00:00′) t1, table_data t2

WHERE t1.i_id = t2.i_id GROUP BY t2.i_id;
</pre>
<p>我们将子查询改为了关联，同时在子查询中加上distinct，减少t1关联t2的次数；</p>
<p>改造后，sql的执行时间降到100ms以内。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索mysql<br />
                                    oracle查询优化改写、道森高级优化改写、mysql 优化、mysql索引优化、mysql 性能优化，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 02:32:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>对MySQL子查询的简单改写优化_Mysql的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0m7dz.html" rel="bookmark">mysql关联子查询的一种优化方法分析&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了mysql关联子查询的一种优化方法.分享给大家供大家参考,具体如下: 很多时候,在mysql上实现的子查询的性能较差,这听起来实在有点难过.特别有时候,用到IN()子查询语句时,对于上了某种数量级的表来说,耗时多的难以估计.本人mysql知识所涉不深,只能慢慢摸透个中玄机了. 假设有这样的一个exists查询语句: select * from table1 where exists (select * from table2 where id&gt;=30000 and table1.u			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwo2jp.html" rel="bookmark">sql性能优化-mysql子查询是否被重复执行？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mysql子查询是否被重复执行? 请教!mysql返回固定结果集时,是否被重复执行 例如1:select t.*,(select count(1) from table01) from table01 t; 例如2:select t.*,(select count(1) from table01 t2 where t2.key=t1.key) from table01 t1 ;--像这种嵌套的子查询是会被重复执行的. 疑问:上面例子1中的子查询遍历过程中,都是固定结果集,会被重复执行N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9E8rXM.html" rel="bookmark">mysql子查询慢的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  当你在用explain工具查看sql语句的执行计划时,若select_type 字段中出现&quot;DEPENDENT SUBQUERY&quot;时,你要注意了,你已经掉入了mysql子查询慢的&quot;坑&quot;...下面我们来看一个具体的例子 有这样一条查询语句: SELECT gid,COUNT(id) as count FROM shop_goods g1 WHERE status =0 and gid IN (SELECT gid FROM shop_goods g2 WHERE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N8YAz.html" rel="bookmark">MySQL子查询用法实例分析&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了MySQL子查询用法.分享给大家供大家参考,具体如下: 假设表my_tbl包含三个字段a,b,c:现在需要查询表中列a的每个不同值下的列b为最小值的记录量. 比如表记录为: a  b  c 1  3  'cd' 2  3  'nhd' 1  5  'bg' 2  6  'cds' 1  7  'kiy' 3  7  'vsd' 3  8  'ndf' 希望得到结果为: a  b  c 1  3  'cd' 2  3  'nhd' 3  7  'vsd' (1) 其中一个做法:先查出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn6lOWp.html" rel="bookmark">MySQL子查询的几种常见形式介绍&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql子查询的几种常见写法: 复制代码 代码如下: select * from xxx where col = [any|all](select * from xxxx);   该句法可分为加关键词和不加关键词的写法,当不加关键词的时候,子查询语句返回的是一个离散值(注意是一个),查询语句将以子查询语句的结果作为自己 where子句的条件进行查询,该句法可以在子查询语句前加入any.all.some等关键字,此时子查询语句返回的是一组离散值.any则表示,查询语句是以子查询返回的值作为一个范			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKe1kz.html" rel="bookmark">mysql优化系列 DELETE子查询改写优化&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.问题描述 朋友遇到一个怪事,一个用子查询的DELETE,执行效率非常低.把DELETE改成SELECT后执行起来却很快,百思不得其解. 下面就是这个用了子查询的DELETE了: [yejr@imysql.com]mydb &gt; EXPLAIN delete from trade_info where id in ( select id from ( select a.id from trade_info a, order_info b, user c where b.buyer = c.id			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrGxop.html" rel="bookmark">MySQL中表子查询与关联子查询的基础学习教程&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL 表子查询表子查询是指子查询返回的结果集是 N 行 N 列的一个表数据. MySQL 表子查询实例 下面是用于例子的两张原始数据表: article 表: blog 表: SQL 如下: SELECT * FROM article WHERE (title,content,uid) IN (SELECT title,content,uid FROM blog) 查询返回结果如下所示: 该 SQL 的意义在于查找 article 表中指定的字段同时也存在于 blog 表中的所有的行(注意			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVqq5z.html" rel="bookmark">mysql子查询where&sol;having&sol;in&sol;exists&sol;from例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				where/having查询 MySQL可以在where子句或者having子句中包含子查询.包含在圆括号内的子查询,优先级高于比较和逻辑操作符.in操作符或者 exists操作符. 也可以在一个having子句中的比较运算符前使用子查询,从而用它对父查询创建的组进行过滤. where和having的区别 HAVING是先分组再筛选记录,WHERE在聚合前先筛选记录．也就是说作用在GROUP BY 子句和HAVING子句前:而 HAVING子句在聚合后对组记录进行筛选. 作用的对象不同.WHER			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvaP4M.html" rel="bookmark">详解Mysql多表联合查询效率分析及优化&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 多表连接类型1. 笛卡尔积(交叉连接) 在MySQL中可以为CROSS JOIN或者省略CROSS即JOIN,或者使用','  如: SELECT * FROM table1 CROSS JOIN table2 SELECT * FROM table1 JOIN table2 SELECT * FROM table1,table2         由于其返回的结果为被连接的两个数据表的乘积,因此当有WHERE, ON或USING条件的时候一般不建议使用,因为当数据表项目太多的时候,会非常慢			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0QL6p.html" rel="bookmark" class="title">订单表里添加商品id-怎么在订单表添加商品信息</a>
					<div>
						问题描述 怎么在订单表添加商品信息 一个订单可以有多个商品那么怎么在点单表里添加多个商品的信息或id 解决方案 一般是用两张表,表一主要存订单号等信息,表二存详细的商品信息 解决方案二: 可以再增加一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZRjYz.html" rel="bookmark" class="title">DIV&plus;CSS布局网页必须考虑的浏览器兼容的技巧</a>
					<div>
						css|技巧|浏览器|网页 1,盒解释器的不同解释. #box{width:600px; //for ie6.0- w\idth:500px; //for ff+ie6.0}#box{width:60 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zex2Op.html" rel="bookmark" class="title">ASP教程&colon;读取文件和写文件</a>
					<div>
						ASP教程:读取文件和写文件 读取文件操作: '------------------------------------------------- '函数名称:ReadTextFile '作用:利用A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdlA6p.html" rel="bookmark" class="title">网页配色之黄金分割法</a>
					<div>
						配色|网页 众所周知,数学上有一个黄金分割点--0.618.据说用次比例数分割是最具美感的,从美眉身材到高楼建筑,从艺术到绘画无不出其之左,因此被称为&quot;神奇的&quot;黄金分割点.与此同时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdX4dp.html" rel="bookmark" class="title">你了解网赚的各种形式么？</a>
					<div>
						1.冲浪类: 这类网赚很受大众网民的欢迎,因为它把正常的上网(冲浪)活动,如看新闻.读广告.玩游戏.网上买卖(电子商务)等,与网络赚钱有机地结合了起来,使网民们在上网的同时有机会赚取额外的收入.中国第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqND2p.html" rel="bookmark" class="title">实现强大的翻页跳转功能&lpar;一&rpar;</a>
					<div>
						翻页 我们都知道用 php+mysql 在 web 页实现数据库资料全部显示是非常简单而有趣的,数据库资料很少的情况下页面显示还是让人满意的,但是当数据库资料非常多的情况下,页面的显示情况将会变的非常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVYxYp.html" rel="bookmark" class="title">如何挖掘精准长尾关键词</a>
					<div>
						通过网站统计后台可以发现做的稍微好一些的网站主要是通过大量的长尾关键词来获得流量而并非主关键词.而我们平常在运营网站的时候就需要不断的挖掘这些长尾关键词然后将内容整理到网站上从而引流.那如何挖掘精准长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq9naM.html" rel="bookmark" class="title">实例分析企业站SEO流量转化率的影响因素</a>
					<div>
						常有客户为咨询诸如&quot;如何提高企业站SEO流量的转化率&quot;这样的问题,从SEO的角度出发,这个问题很难给你什么答复,毕竟SEO流量的转化率和很多方面息息相关,一句二句话也说不清,再者一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7P8Ab.html" rel="bookmark" class="title">思科设备配置软件：Cisco Network Assistant 5&period;2中文版 （CNA）</a>
					<div>
						对于Cisco Network Assistant(CNA)大家估计都很熟悉了,这是cisco推出一款免费工具,它可以用来配置思科的设备,如:Catalyst 交换机.PIX 防火墙.IP电话以及无线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw8lqz.html" rel="bookmark" class="title">对窗口的系统菜单（SystemMenu）的一些操作</a>
					<div>
						有时候想禁用/移除/添加一些系统菜单项目,那么你可能会用到下面的API,以C#平台调用为例: [DllImport(&quot;User32.dll&quot;)] internal static e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOEPWM.html" rel="bookmark" class="title">联想Legion Y720游戏本上手评测</a>
					<div>
						  联想最近推出了一款专为VR游戏打造的LenovoLegion游戏设备--LegionY720. 这款笔记本可以让游戏转换成VR的形式,并且配备霸气的外观设计,搭载15.6英寸屏幕和英特尔I5 -7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7VY4M.html" rel="bookmark" class="title">win7系统远程协助功能怎么使用？</a>
					<div>
						  具体方法如下: 1.在开始菜单的搜索框中输入:系统配置→双击打开系统配置; 2.系统配置→工具→远程协助→启动; 3.这里有两个选项,一个是:邀请信任的人帮助您,另一个是:帮助邀请人; 4.如果从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNyovb.html" rel="bookmark" class="title">QQ输入法for Mac如何切换全角&sol;半角</a>
					<div>
						  QQ输入法for Mac切换全角/半角的方法如下: 在使用QQ输入法for Mac进行输入时,通过快捷键&quot;Shift+空格&quot;可以进行全半角切换,也可在按键设置中设置其他快捷键.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy5Xdb.html" rel="bookmark" class="title">阿里云如何升级内存</a>
					<div>
						阿里云如何升级内存 升级内存,是通过变配中的 升级配置 实现的. 操作步骤如下: 登录 云服务器管理控制台. 单击左侧导航栏中的 实例 . 单击页面顶部的地域. 选择需要的实例.单击右侧的 变配 .  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7487M.html" rel="bookmark" class="title">Ubuntu系统怎么设置开机屏幕亮度？</a>
					<div>
						  默认情况下,Ubuntu开机后会把屏幕亮度设为最高,这里介绍将其设为最低的方法 1.找到/sys/class/backlight/acpi_video0,里面有屏幕亮度的参数 2.打开bright ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKOxNM.html" rel="bookmark" class="title">【原】移动web页面给用户发送邮件的方法 &lpar;邮件含文本、图片、链接&rpar;</a>
					<div>
						微信商户通有这么一个需求,用户打开H5页面后,引导用户到电脑下载设计资源包,由于各种内部原因,被告知无后台资源支持,自己折腾了一段时间找了下面2个办法,简单做下笔记. 使用mailto功能,让用户自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywkBZz.html" rel="bookmark" class="title">Struts2 XWork校验框架出错</a>
					<div>
						问题描述 Struts2 XWork校验框架出错 我刚开始学Struts2 遇到了这个问题有懂得朋友可以帮我下吗?谢谢 2015-5-16 15:58:02 com.opensymphony.xwor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3lWAM.html" rel="bookmark" class="title">跨平台运行 Rafy 首次部署记录</a>
					<div>
						一直想在 Linux 上使用 MONO 试试运行 Rafy,最近因为业务需要,总算是真正地试验了一次.下面是本次部署记录的一些要点.   Linux 这次部署,我是和两位同事一起来试验的.由于我们对  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywlBJz.html" rel="bookmark" class="title">如何处理JavaScript内存泄露</a>
					<div>
						几周前,我们开始写一个系列,深入探讨JavaScript和它的工作原理.我们认为了解JavaScript的构成以及它们如何协作,有助于编写出更好的代码和应用程序. 本系列第一篇重点介绍了引擎.运行时. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP89qp.html" rel="bookmark" class="title">rowfilter-RowFilter 模糊查询出现：Like 运算符中出错&colon; 字符串模式&OpenCurlyDoubleQuote;2&num;&percnt;门&percnt;&rdquo;无效。</a>
					<div>
						问题描述 RowFilter 模糊查询出现:Like 运算符中出错: 字符串模式&quot;2#%门%&quot;无效. dv = dt.DefaultView; sWhere += string.F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kYJZM.html" rel="bookmark" class="title">jsp java tomcat-jsp项目 web服务器本机无法访问 其他机器可以访问</a>
					<div>
						问题描述 jsp项目 web服务器本机无法访问 其他机器可以访问 jsp ssh框架 tomcat6.0发布web服务 服务器本机ip+端口号无法访问 其他机器可以访问 防火墙没有问题,ip地址为固定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrP4NM.html" rel="bookmark" class="title">mysql在查询出来的视图上更新语句</a>
					<div>
						问题描述 mysql在查询出来的视图上更新语句 mysql有没有类似oracle的select a.*,a.rowid from A a,这样可以直接在查询出来的结果视图上手动更新数据, mysql怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAvkRM.html" rel="bookmark" class="title">最佳实践：如何基于消息服务MNS实现严格有序队列</a>
					<div>
						问题背景:阿里云消息服务提供的队列(queue)主要特点是高可靠.高可用.高并发.每个队列的数据都会被持久化三份到阿里云的飞天分布式平台:其中每个队列至少有2台服务器向外提供服务:同时每台服务器都支持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kwOlM.html" rel="bookmark" class="title">myeclise没有代码提示-myeclise 使用快捷键时 下面提示 no completions available &comma;</a>
					<div>
						问题描述 myeclise 使用快捷键时 下面提示 no completions available , 项目中自定义了泛型,在含有泛型的类中,代码补全功能要么没有,要么很弱. 在同一个项目中的其他没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZje9b.html" rel="bookmark" class="title">求指点-求推荐：c&comma;C&plus;&plus;&comma;算法，数据结构，编写简单游戏等方面的书籍。</a>
					<div>
						问题描述 求推荐:c,C++,算法,数据结构,编写简单游戏等方面的书籍. 我是大一的,刚刚学完谭浩强的C,现在正在学开始谭浩强的C++.希望大家能够给一些建议:推荐一些书籍.谢谢 解决方案 说实话不推 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Zgdz.html" rel="bookmark" class="title">spring mvc 注解&plus;easyui 分页不明之处，急求</a>
					<div>
						问题描述 spring mvc 注解+easyui 分页不明之处,急求 有几点不明1.点击查询按钮触发传递参数的代码 2.前台处理代码:有懂得的大神吗? 我用的是 解决方案 分页的参数会自动的传递到后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq2Zvz.html" rel="bookmark" class="title">cpu-zedGraph控件刷新导致CPU增加过快，求解决方法</a>
					<div>
						问题描述 zedGraph控件刷新导致CPU增加过快,求解决方法 zedGraph控件刷新次数越多CPU增加越快,求大神帮助下,困扰好久了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZP7WM.html" rel="bookmark" class="title">美国研究人员实现以生物手段让电脑感染病毒</a>
					<div>
						9月5日消息,据国外媒体报道,美国华盛顿大学研究人员日前成功运用生物学手段使计算机感染恶意代码. 在实验中,研究人员将恶意软件存入合成DNA中,并演示了植入的代码如何损害连接着基因测序仪并对这段DNA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJNemp.html" rel="bookmark" class="title">Java类加载器&lpar;二&rpar;&mdash;&mdash;自定义类加载器</a>
					<div>
						  用户定制自己的ClassLoader可以实现以下的一些应用: 自定义路径下查找自定义的class类文件,也许我们需要的class文件并不总是在已经设置好的Classpath下面,那么我们必须想办法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60OKLz.html" rel="bookmark" class="title">PostgreSQL和MySQL的存储层深度解析</a>
					<div>
						PostgreSQL和MySQL的存储层深度解析 李海翔  DTCC2014 PostgreSQL是以加州大学伯克利分校计算机系开发的 POSTGRES,现在已经更名为PostgreSQL,版本 4. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
